Bug 82609 - redhat-config-packages is missing some packages / groups
redhat-config-packages is missing some packages / groups
Status: CLOSED WONTFIX
Product: Red Hat Public Beta
Classification: Retired
Component: comps (Show other bugs)
phoebe
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Powers
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-23 18:37 EST by Peter van Egdom
Modified: 2007-04-18 12:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-16 14:33:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter van Egdom 2003-01-23 18:37:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030115

Description of problem:

While using redhat-config-packages, both during installation of Phoebe 8.0.93 in
Anaconda and after installing Phoebe 8.0.93, it seemed that this program is
missing some packages. Some of these packages might be important for some people
/ businesses (some of them I'm using myself for professional use). So I thought
it was a bit odd that these weren't available in redhat-config-packages, while
they _are_ distributed on the Phoebe 8.0.93 CD's. (I might be wrong about some
of them). Also they aren't listed as deprecated in the Release notes. Here are
some of the major ones :

- Ruby (popular programming language)
- Festival (mentioned in "README-Accessibility").
- KDE-Edu (should be available for selection).
- MRTG (handy for monitoring routers / switches).
- Nedit (Some programmer's favorite editor)
- NET-SNMP client utilities (handy for monitor routers /switches).
- OpenLDAP (everyone needs a directory system)
- Red Hat LSB package (quite fashionable nowadays).
- Samba SWAT (very important for Win - Linux connectivity!!!!)
- SysReport (nice tool to generate information)
- TFTP client / server (necessary for e.g. storing flash of router/switch)
- Tripwire (nice to have).

I'll include a more complete list at the additional section of this Bugzilla



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
(for each of the 3 Phoebe CD's :
ls -l /mnt/cdrom/RedHat/RPMS/ |colrm 1 56 >/tmp/cd1
ls -l /mnt/cdrom/RedHat/RPMS/ |colrm 1 56 >/tmp/cd2
ls -l /mnt/cdrom/RedHat/RPMS/ |colrm 1 56 >/tmp/cd3
)

1. cat cd1 |sed 's/.i386*//' >cd1-without386
2. cat cd1-without386 |sed 's/.rpm*//' >cd1-withoutrpm
3. cat cd1-withoutrpm |sed 's/.noarch*//' >cd1-withoutnoarch
    
4. cat cd2 |sed 's/.i386*//' >cd2-without386
5. cat cd2-without386 |sed 's/.rpm*//' >cd2-withoutrpm
6. cat cd2-withoutrpm |sed 's/.noarch*//' >cd2-withoutnoarch

7. cat cd3 |sed 's/.i386*//' >cd3-without386
8. cat cd3-without386 |sed 's/.rpm*//' >cd3-withoutrpm
9. cat cd3-withoutrpm |sed 's/.noarch*//' >cd3-withoutnoarch

10. cat /tmp/cd1-withoutnoarch >/tmp/everything
11. cat /tmp/cd2-withoutnoarch >> /tmp/everything
12. cat /tmp/cd3-withoutnoarch >>/tmp/everything

13. sort </tmp/everything >/tmp/everything_sorted
14. rpm -qa >/tmp/allpackages
15. sort </tmp/allpackages >/tmp/allpackages_sorted
16 diff /tmp/allpackages_sorted /tmp/everything


Actual Results:  I see some extra packages here & there

Expected Results:  redhat-config-packages should offer all major packages.

Additional info:

Red Hat Linux release 8.0.93 (Phoebe)
redhat-config-packages-1.1.5-1

> bash-doc-2.05b-14             Should be standard dependency for Bash?
> beecrypt-2.2.0-7              ?
> diskcheck-1.4-1               System Tools
> efax-0.9-17                   ?
> elinks-0.3.2-4                Text-based internet packages?
> eruby-0.9.8-2                 Development Tools
> eruby-devel-0.9.8-2           ..
> eruby-libs-0.9.8-2            ..
> exmh-2.5-7                    Text-based internet packages
> festival-1.4.2-15             System Tools
> festival-devel-1.4.2-15       ..
> ftpcopy-0.5.2-1               Text-based internet packages
> gkrellm-2.1.5-2               System Tools
> gnome-audio-extra-1.4.0-5     GNOME Desktop Environment
> gthumb-1.108-1                Graphics
> gv-3.5.8-21                   Authoring & Publishing
> hexedit-1.2.2-7               Editors
> jed-0.99.15-4                 Editors
> joe-2.9.7-11                  Editors
> kdeedu-3.1-0.4                KDE Desktop Environment
> kdetoys-3.1-0.3               Games & Entertainment
> mrtg-2.9.17-11                System Tools
> nc-1.10-17                    System Tools ?
> nedit-5.3-3                   Editors
> netdump-0.6.8-1               ?
> net-snmp-devel-5.0.6-11       System Tools
> net-snmp-utils-5.0.6-11       System Tools
> nut-1.2.0-3                   System Tools
> nut-cgi-1.2.0-3               ..
> nut-client-1.2.0-3            ..
> openldap12-1.2.13-6           Network Servers
> openldap-clients-2.0.27-6     Network Servers
> openldap-servers-2.0.27-6     Network Servers
> openmotif21-2.1.30-7          ?
> openssl-0.9.7-3.i686          ?
> pdksh-5.2.14-20               ?
> pidentd-3.0.14-10             ?
> privoxy-3.0.0-6               ?
> procinfo-18-7                 ?
> recode-3.6-7                  ?
> recode-devel-3.6-7            ?
> redhat-lsb-1.2.0-2            ?
> ruby-1.6.8-1                  Development Tools
> ruby-devel-1.6.8-1            ..
> ruby-docs-1.6.8-1             ..
> ruby-libs-1.6.8-1             ..
> ruby-mode-1.6.8-1             ..
> ruby-tcltk-1.6.8-1            ..
> rusers-0.17-23                ?
> rusers-server-0.17-23         ?
> rwall-0.17-16                 ?
> rwall-server-0.17-16          ?
> rwho-0.17-17                  ?
> samba-swat-2.2.7a-1           Windows File Server
> sash-3.4-15                   ?
> sharutils-4.2.1-13            ?
> spamassassin-2.43-10          System Tools
> sylpheed-0.8.8-2              Graphical Internet
> sysreport-1.3.1-1             System Tools
> sysstat-4.0.7-1               System Tools
> tftp-0.32-1                   Network Servers
> tftp-server-0.32-1            Network Servers
> timidity++-2.11.3-5           Sound & Video
> tripwire-2.3.1-16             System Tools
> usbview-1.0-8                 ?
> uucp-1.06.1-46                ?
> xosview-1.8.0-10              X Window System
> xsnow-1.42-9                  Games & Entertainment
> xtraceroute-0.9.0-12          Games & Entertainment
> zsh-4.0.6-3                   ?
Comment 1 Jeremy Katz 2003-01-31 19:07:16 EST
We currently just display what's available in comps (there's an RFE that will
eventually be handled for an all packages mode)
Comment 3 Tim Powers 2003-02-16 14:33:12 EST
Not every package is in comps, but that doesn't mean that they aren't available
via individual package selection or via kickstart (both during the install).
Sorry, but this isn't likely to change for comps itself. If you just want the
packages available in redhat-config-packages you should file an RFE bug against
redhat-config-packages to have individual package installation for packages not
listed in the comps file.

Tim

Note You need to log in before you can comment on or make changes to this bug.